SFDISK(8)

NOME
sfdisk - exibe ou manipula a tabela de partição de um disco

SINOPSE

sfdisk [opções] dispositivo [-N número-da-partição]

sfdisk [options] command

DESCRIÇÃO

sfdisk é uma ferramenta orientada a script para particionar qualquer dispositivo de bloco. Ele é executado no modo interativo se executado em um terminal (stdin se refere a um terminal).

Desde a versão 2.26, o sfdisk tem suporte aos rótulos de disco MBR (DOS), GPT, SUN e SGI, mas não fornece mais nenhuma funcionalidade para endereçamento CHS (Cilindro-Cabeça-Setor). CHS nunca foi importante para o Linux e esse conceito de endereçamento não faz sentido para novos dispositivos.

sfdisk protege o primeiro setor do disco ao criar um novo rótulo de disco. A opção --wipe always desativa essa proteção. Observe que fdisk(8) e cfdisk(8) apagam completamente esta área por padrão.

sfdisk (desde a versão 2.26) alinha o início e o fim das partições aos limites de E/S do dispositivo de bloco quando tamanhos relativos são especificados, quando os valores padrão são usados ou quando sufixos multiplicativos (por exemplo, MiB) são usados para tamanhos. É possível que o tamanho da partição seja otimizado (reduzido ou ampliado) devido ao alinhamento se a posição inicial for especificada exatamente em setores e tamanho da partição relativo ou por sufixos multiplicativos.

A maneira recomendada é não especificar as posições iniciais e especificar o tamanho da partição em MiB, GiB (ou assim). Nesse caso, o sfdisk alinha todas as partições aos limites de E/S do dispositivo de bloco (ou quando os limites de E/S são muito pequenos, então ao limite de megabytes para manter o layout do disco portátil). Se este comportamento padrão for indesejado (geralmente para partições muito pequenas), especifique posições e tamanhos em setores. Nesse caso, sfdisk segue inteiramente os números especificados sem nenhuma otimização.

sfdisk não cria as partições de sistema padrão para rótulos de disco SGI e SUN como fdisk(8) faz. É necessário criar explicitamente todas as partições, incluindo partições de sistema de disco inteiro.

sfdisk uses BLKRRPART (reread partition table) ioctl to make sure that the device is not used by system or other tools (see also --no-reread). It’s possible that this feature or another sfdisk activity races with systemd-udevd(8). The recommended way how to avoid possible collisions is to use --lock option. The exclusive lock will cause systemd-udevd to skip the event handling on the device.

O prompt sfdisk é apenas uma dica para os usuários e um número de partição exibido não significa que a mesma entrada da tabela de partição será criada (se -N não for especificado), especialmente para tabelas com lacunas.

COMANDOS

Os comandos são mutuamente exclusivos.

[-N número-da-partição] dispositivo
    O padrão do comando sfdisk é ler a especificação para o particionamento desejado de dispositivo da entrada padrão e, em seguida, criar uma tabela de partição de acordo com a especificação. Veja abaixo a descrição do formato de entrada. Se a entrada padrão for um terminal, sfdisk iniciará uma sessão interativa.

    Se a opção -N for especificada, as alterações serão aplicadas à partição endereçada por número-da-partição. Os campos não especificados da partição não são modificados.

    Observe que é possível endereçar uma partição não utilizada com -N. Por exemplo, um MBR sempre contém 4 partições, mas o número de partições usadas pode ser menor. Neste caso, sfdisk segue os valores padrão da tabela de partição e não usa padrões embutidos para a partição não usada fornecida com -N. Veja também --append.

-A, --activate dispositivo [número-da-partição...]
    Ativa o sinalizador de inicialização para as partições especificadas e desativa o sinalizador de inicialização em todas as partições não especificadas. O espaço reservado especial "-" pode ser usado em vez dos números de partição para desativar o sinalizador de inicialização em todas as partições.

    O comando de ativação é compatível apenas com MBR e PMBR. Se um rótulo GPT for detectado, o sfdisk exibirá um aviso e entrará automaticamente no PMBR.

    Se nenhum número-da-partição for especificado, lista as partições com um sinalizador ativado.

--backup-pt-sectors device
    Back up the current partition table sectors in binary format and exit. See the BACKING UP THE PARTITION TABLE section.

--delete dispositivo [número-da-partição...]
    Exclui todas as partições ou apenas as especificadas.

-d, --dump dispositivo
    Dump the partitions of a device in a format that is usable as input to sfdisk. See the BACKING UP THE PARTITION TABLE section.

-g, --show-geometry [dispositivo...]
    Lista a geometria de todos ou dos dispositivos especificados. Para compatibilidade com versões anteriores, a opção descontinuada --show-pt-geometry tem o mesmo significado que esta.

-J, --json dispositivo
    Despeja as partições de um dispositivo no formato JSON. Observe que sfdisk não pode usar JSON como formato de entrada.

-l, --list [dispositivo...]
    Lista as partições de todos ou dos dispositivos especificados. Este comando pode ser usado junto com --verify.

-F, --list-free [dispositivo...]
    Lista as áreas livres não particionadas em todos ou nos dispositivos especificados.

--part-attrs dispositivo número-da-partição [atributos]
    Altera os bits de atributo de partição GPT. Se atributos não for especificado, exibe as configurações de partição atuais. O argumento atributos é uma lista delimitada por vírgulas ou espaços de números de bits ou nomes de bits. Por exemplo, a string "RequiredPartition, 50,51" define três bits. Os bits de atributo atualmente suportados são:

    Bit 0 (RequiredPartition)
        Se este bit for definido, a partição será necessária para que a plataforma funcione. O criador da partição indica que a exclusão ou modificação do conteúdo pode resultar na perda de recursos da plataforma ou falha na inicialização ou operação da plataforma. O sistema não pode funcionar normalmente se esta partição for removida e deve ser considerada parte do hardware do sistema.

    Bit 1 (NoBlockIOProtocol)
        Firmware EFI deve ignorar o conteúdo da partição e não tentar lê-la.

    Bit 2 (LegacyBIOSBootable)
        A partição pode ser inicializável por firmware de BIOS legado.

    Bits 3-47
        Indefinido e deve ser zero. Reservado para expansão por versões futuras da especificação UEFI.

    Bits 48-63
        Reservado para uso específico do GUID. O uso desses bits varia de acordo com o tipo de partição. Por exemplo, a Microsoft usa o bit 60 para indicar somente leitura, 61 para cópia de sombra de outra partição, 62 para partições ocultas e 63 para desabilitar a montagem automática.

--part-label dispositivo número-da-partição [rótulo]
    Altera o nome (rótulo) da partição GPT. Se rótulo não for especificado, exibe o rótulo da partição atual.

--part-type dispositivo número-da-partição [tipo]
    Altera o tipo de partição. Se tipo não for especificado, exibe o tipo de partição atual.

    O argumento tipo é hexadecimal para MBR, GUID para GPT, apelido de tipo (por exemplo, "linux") ou atalho de tipo (por exemplo, "L"). Para compatibilidade com versões anteriores, as opções -c e --id têm o mesmo significado que esta.

--part-uuid dispositivo número-da-partição [uuid]
    Altera o UUID da partição GPT. Se uuid não for especificado, exibe o UUID da partição atual.

--disk-id dispositivo [id]
    Altera o identificador do disco. Se id não for especificado, exibe o identificador atual. O identificador é UUID para GPT ou inteiro sem sinal para MBR.

-r, --reorder dispositivo
    Renumera as partições, ordenando-as por sua posição inicial.

-s, --show-size [dispositivo...]
    Lista os tamanhos de todos ou dos dispositivos especificados em unidades de 1024 bytes. Este comando foi DESCONTINUADO em favor de blockdev(8).

-T, --list-types
    Exibe todos os tipos suportados para o rótulo de disco atual ou o rótulo especificado por --lable.

-V, --verify [dispositivo...]
    Testa se a tabela de partição e partições parecem estar corretas.

--relocate operador dispositivo
    Realoca o cabeçalho da tabela de partição. Este comando é atualmente compatível apenas com o cabeçalho GPT. O argumento operador pode ser:

    gpt-bak-std
        Move o cabeçalho de backup GPT para o local padrão no final do dispositivo.

    gpt-bak-mini
        Move o cabeçalho do backup GPT para trás da última partição. Observe que o padrão UEFI requer o cabeçalho de backup no final do dispositivo e as ferramentas de particionamento podem realocar automaticamente o cabeçalho para seguir o padrão.

OPÇÕES

-a, --append
    Não cria uma nova tabela de partição, mas apenas anexa as partições especificadas.

    Observe que a partição não usada pode ser reutilizada neste caso, embora não seja a última partição na tabela de partição. Consulte também -N para especificar a entrada na tabela de partição.

-b, --backup
    Back up the current partition table sectors before starting the partitioning. The default backup file name is ~/sfdisk-<device>-<offset>.bak; to use another name see option -O, --backup-file. See section BACKING UP THE PARTITION TABLE for more details.

--color[=quando]
    Colore a saída. O argumento opcional quando pode ser auto, never ou always. Se o argumento quando for omitido, o padrão será auto. As cores podem ser desabilitadas; para o padrão integrado atual, consulte a saída de --help. Consulte também a seção CORES.

-f, --force
    Desabilita toda verificação de consistência.

--Linux
    Opção descontinuada e ignorada. O particionamento compatível com Linux (e outros sistemas operacionais modernos) é o padrão.

--lock[=modo]
    Use exclusive BSD lock for device or file it operates. The optional argument mode can be yes, no (or 1 and 0) or nonblock. If the mode argument is omitted, it defaults to yes. This option overwrites environment variable $LOCK_BLOCK_DEVICE. The default is not to use any lock at all, but it’s recommended to avoid collisions with systemd-udevd(8) or other tools.

-n, --no-act
    Faz tudo, exceto gravar no dispositivo.

--no-reread
    Não verifica por meio de ioctl de releitura da tabela de partição se o dispositivo está em uso.

--no-tell-kernel
    Não informa o kernel sobre mudanças de partição. Esta opção é recomendada junto com --no-reread para modificar uma partição no disco usado. A partição modificada não deve ser usada (por exemplo, montada).

-O, --backup-file caminho
    Substitui o nome do arquivo padrão de backup. Observe que o nome do dispositivo e a posição são sempre anexados ao nome do arquivo.

--move-data[=caminho]
    Move os dados após a realocação da partição, por exemplo, ao mover o início de uma partição para outro local no disco. O tamanho da partição deve permanecer o mesmo, o novo e o antigo local podem se sobrepor. Esta opção requer a opção -N para ser processada em apenas uma partição específica.

    The optional path specifies log file name. The log file contains information about all read/write operations on the partition data. The word "@default" as a path forces sfdisk to use ~/sfdisk-<devname>.move for the log. The log is optional since v2.35.

    Observe que esta operação é arriscada e não atômica. Não se esqueça de fazer backup de seus dados!

    See also --move-use-fsync.

    No exemplo abaixo, o primeiro comando cria uma área livre de 100 MiB antes da primeira partição e move os dados que ela contém (por exemplo, um sistema de arquivos), o próximo comando cria uma nova partição a partir do espaço livre (na posição 2048), e o último O comando reordena as partições para corresponder à ordem do disco (o sdc1 original se tornará sdc2).

        echo '+100M,' | sfdisk --move-data /dev/sdc -N 1

        echo '2048,' | sfdisk /dev/sdc --append

        sfdisk /dev/sdc --reorder

--move-use-fsync
    Use a chamada de sistema fsync(2) após cada gravação ao mover dados para um novo local com --move-data.

-o, --output lista
    Especifica quais colunas de saída exibir. Use --help para obter uma lista de todas as colunas suportadas.

    A lista padrão de colunas pode ser estendida se lista for especificada no formato +lista (por exemplo, -o +UUID).

-q, --quiet
    Suprime mensagens de informação extra.

-u, --unit S
    Opção descontinuada. Apenas a unidade do setor é suportada. Esta opção não é suportada ao usar o comando --show-size.

-X, --label tipo
    Especifica o tipo de rótulo do disco (por exemplo, dos, gpt, ...). Se esta opção não for fornecida, o sfdisk padroniza para o rótulo existente, mas se ainda não houver nenhum rótulo no dispositivo, o tipo padrão será dos. O rótulo padrão ou o rótulo atual pode ser substituído pela linha de cabeçalho do script "label: <nome>". A opção --label não força sfdisk a criar um rótulo de disco vazio (consulte a seção RÓTULO DE DISCO VAZIO abaixo).

-Y, --label-nested tipo
    Força a edição de um rótulo de disco aninhado. O rótulo do disco primário já deve existir. Esta opção permite a edição, por exemplo, de um MBR híbrido/protetor em dispositivos com GPT.

-w, --wipe quando
    Apaga o sistema de arquivos, RAID e assinaturas de tabela de partição do dispositivo, a fim de evitar possíveis colisões. O argumento quando pode ser auto, never ou always. Quando esta opção não é fornecida, o padrão é auto, caso em que as assinaturas são apagadas apenas no modo interativo; exceto as antigas assinaturas da tabela de partição que são sempre apagadas antes de criar uma nova tabela de partição se o argumento quando não for nunca. O modo auto também não apaga o primeiro setor (setor de inicialização), é necessário usar o modo always para apagar esta área. Em todos os casos, as assinaturas detectadas são relatadas por mensagens de aviso antes que uma nova tabela de partição seja criada. Veja também o comando wipefs(8).

-W, --wipe-partitions quando
    Wipe filesystem, RAID and partition-table signatures from a newly created partition, in order to avoid possible collisions. The argument when can be auto, never or always. When this option is not given, the default is auto, in which case signatures are wiped only when in interactive mode and after confirmation by user. In all cases detected signatures are reported by warning messages after a new partition is created. See also wipefs(8) command.

-v, --version
    Exibe informação da versão e sai.

-h, --help
    Exibe um texto de ajuda e sai.

FORMATOS DE ENTRADA

sfdisk tem suporte a dois formatos de entrada e linhas de cabeçalho genéricas.

  Linhas de cabeçalho

As linhas de cabeçalho opcionais especificam informações genéricas que se aplicam à tabela de partição. O formato da linha de cabeçalho é:

<nome>: <valor>

Os cabeçalhos atualmente reconhecidos são:

unit
    Especifica a unidade de particionamento. A única unidade suportada é sectors.

label
    Especifica o tipo de tabela de partição. Por exemplo, dos ou gpt.

label-id
    Especifica o identificador da tabela de partição. Deve ser um número hexadecimal (com um prefixo 0x) para MBR e um UUID para GPT.

first-lba
    Specify the first usable sector for GPT partitions. This header is ignored if the script and device sector size differ. In this case sfdisk uses label specific default.

last-lba
    Specify the last usable sector for GPT partitions. This header is ignored if the script and device sector size differ. In this case sfdisk uses label specific default.

table-length
    Especifica o número máximo de partições GPT.

grain
    Especifica o tamanho mínimo em bytes usado para calcular o alinhamento das partições. O padrão é 1 MiB e é altamente recomendável usar o padrão. Não modifique esta variável se não tiver certeza.

sector-size
    Specify sector size. sfdisk always uses device sector size. Since version 2.39 sfdisk recalculates sizes from dump if the script and device sector size differ.

Observe que só é possível usar linhas de cabeçalho antes que a primeira partição seja especificada na entrada.

  Formato de campos sem nome

    início tamanho tipo inicialização

onde cada linha preenche um descritor de partição.

Fields are separated by whitespace, comma (recommended) or semicolon possibly followed by whitespace; initial and trailing whitespace is ignored. Numbers can be octal, decimal or hexadecimal; decimal is the default. When a field is absent, empty or specified as '-' a default value is used. But when the -N option (change a single partition) is given, the default for each field is its previous value.

The default value of start is the first non-assigned sector aligned according to device I/O limits. The default start offset for the first partition is 1 MiB. If the offset is followed by the multiplicative suffixes (KiB, MiB, GiB, TiB, PiB, EiB, ZiB and YiB), then the number is interpreted as offset in bytes. Since v2.38 when the -N option (change a single partition) is given, a '+' can be used to enlarge partition by move start of the partition if there is a free space before the partition.

O valor padrão de tamanho indica "tanto quanto possível"; ou seja, até a próxima partição ou fim do dispositivo. Um argumento numérico é, por padrão, interpretado como um número de setores, no entanto, se o tamanho for seguido por um dos sufixos multiplicativos (KiB, MiB, GiB, TiB, PiB, EiB, ZiB e YiB), o número é interpretado como o tamanho da partição em bytes e é então alinhada de acordo com os limites de E/S do dispositivo. Um "+" pode ser usado em vez de um número para aumentar a partição tanto quanto possível. Nota "+" é equivalente ao comportamento padrão para uma nova partição; as partições existentes serão redimensionadas conforme necessário.

O tipo de partição é fornecido em hexadecimal para MBR (DOS) onde o prefixo 0x é opcional; uma string GUID para GPT; um atalho ou apelido. Recomenda-se usar duas letras para códigos hexadecimais MBR para evitar a colisão entre o atalho descontinuado "E" e o código hexadecimal MBR "0E". Para compatibilidade com versões anteriores, sfdisk tenta interpretar tipo como um atalho como uma primeira possibilidade em scripts de particionamento, embora em outros lugares (por exemplo, comando --part-type) tente atalhos como a última possibilidade.

Desde v2.36 libfdisk suporta apelidos de tipo de partição como extensão para atalhos. O apelido é uma palavra simples legível por humanos (por exemplo, "linux").

Desde v2.37 libfdisk suporta nomes de tipo de partição na entrada, ignorando a caixa dos caracteres e todos os caracteres não alfanuméricos e não dígitos no nome (por exemplo, "Linux /usr x86" é o mesmo que "linux usr-x86").

Apelidos e atalhos suportados:

L - apelido "linux"
    Linux; significa 83 para MBR e 0FC63DAF-8483-4772-8E79-3D69D8477DE4 para GPT.

S - apelido "swap"
    área de swap; significa 82 para MBR e 0657FD6D-A4AB-43C4-84E5-0933C84B4F4F para GPT

Ex - apelido "extended"
    partição estendida MBR; significa 05 para MBR. O atalho original "E" foi descontinuado devido à colisão com o tipo de partição 0x0E do MBR.

H - apelido "home"
    partição home; significa 933AC7E1-2EB4-4F13-B844-0E14E2AEF915 para GPT

U - apelido "uefi"
    partição do sistema EFI, significa EF para MBR e C12A7328-F81F-11D2-BA4B-00A0C93EC93B para GPT

R - apelido "raid"
    RAID Linux; significa FD para MBR e A19D880F-05FC-4D3B-A006-743F0F84911E para GPT

V - apelido para "lvm"
    LVM; significa 8E para MBR e E6D6D379-F507-44C2-A23C-238F2A3DF928 para GPT

O valor padrão de tipo é linux.

O atalho "X" para partição estendida do Linux (85) foi descontinuado em favor de "Ex".

inicialização é especificado como [*|-], sendo o padrão não ser inicializável. O valor deste campo é irrelevante para o Linux — quando o Linux é executado, ele já foi inicializado --, mas pode desempenhar uma função para certos carregadores de inicialização e outros sistemas operacionais.

  Formato de campos nomeados

Este formato é mais legível, robusto, extensível e permite especificar informações adicionais (por exemplo, um UUID). Recomenda-se usar este formato para manter seus scripts mais legíveis.

    [dispositivo :] nome[=valor], ...

O campo dispositivo é opcional. sfdisk extrai o número da partição do nome do dispositivo. Permite especificar as partições em ordem aleatória. Esta funcionalidade é usada principalmente por --dump. Não o use se não tiver certeza.

The value can be between quotation marks (e.g., name="This is partition name"). The fields start= and size= support '+' and '-' in the same way as Unnamed-fields format.

The currently supported fields are:

start=número
    The first non-assigned sector aligned according to device I/O limits. The default start offset for the first partition is 1 MiB. If the offset is followed by the multiplicative suffixes (KiB, MiB, GiB, TiB, PiB, EiB, ZiB and YiB), then the number is interpreted as offset in bytes.

size=número
    Especifica o tamanho da partição em setores. O número pode ser seguido pelos sufixos multiplicativos (KiB, MiB, GiB, TiB, PiB, EiB, ZiB e YiB), então é interpretado como tamanho em bytes e o tamanho é alinhado de acordo com os limites de E/S do dispositivo.

bootable
    Marca uma partição como inicializável.

attrs=string
    Atributos de partição, geralmente bits de atributo de partição GPT. Consulte --part-attrs para obter mais detalhes sobre o formato da string de bits de GPT.

uuid=string
    UUID de Partição GPT.

name=string
    Nome da partição GPT.

type=código
    Um número hexadecimal (sem 0x) para uma partição MBR, um GUID para uma partição GPT, um atalho para formato de campos sem nome ou um nome de tipo (por exemplo, type="Linux /usr (x86)"). Consulte a seção acima sobre o formato dos campos sem nome para obter mais detalhes. Para compatibilidade com versões anteriores, o campo Id= tem o mesmo significado.

RÓTULO DE DISCO VAZIO

sfdisk não cria a tabela de partição sem partições por padrão. As linhas com partições são esperadas no script por padrão. A tabela de partição vazia deve ser solicitada explicitamente pela linha de cabeçalho do script "label: <nome>" sem nenhuma linha de partição. Por exemplo:

    echo 'label: gpt' | sfdisk /dev/sdb

cria uma tabela de partição GPT vazia. Observe que o --append desativa este recurso.

FAZENDO O BACKUP DA TABELA DE PARTIÇÃO

Recomenda-se salvar o layout de seus dispositivos. sfdisk tem suporte a duas maneiras.

  Dump in sfdisk compatible format

Use the --dump command to save a description of the device layout to a text file. The dump format is suitable for later sfdisk input. For example:

    sfdisk --dump /dev/sda > sda.dump

Isso pode ser restaurado posteriormente por:

    sfdisk /dev/sda < sda.dump

Note that sfdisk completely restores partition types and partition UUIDs. This could potentially become problematic if you duplicate the same layout to different disks, as it may result in duplicate UUIDs within your system.

  Full binary backup

If you want to do a full binary backup of all sectors where the partition table is stored, then use the --backup-pt-sectors command. It writes the sectors to ~/sfdisk-<device>-<offset>.bak files. The default name of the backup file can be changed with the --backup-file option. The backup files contain only raw data from the device. For example:

    sfdisk --backup-pt-sectors /dev/sda

O cabeçalho GPT pode ser restaurado posteriormente por:

    dd if=~/sfdisk-sda-0x00000200.bak of=/dev/sda seek=$((0x00000200)) bs=1 conv=notrunc

It’s also possible to use the --backup option to create the same backup immediately after startup for other sfdisk commands. For example, backup partition table before deleting all partitions from partition table:

    sfdisk --backup --delete /dev/sda

The same concept of backup files is used by wipefs(8).

Observe que sfdisk desde a versão 2.26 não fornece mais a opção -I para restaurar setores. dd(1) fornece todas as funcionalidades necessárias.

CORES

The output colorization is implemented by terminal-colors.d(5) functionality. Implicit coloring can be disabled by an empty file

    /etc/terminal-colors.d/sfdisk.disable

for the sfdisk command or for all tools by

    /etc/terminal-colors.d/disable

The user-specific $XDG_CONFIG_HOME/terminal-colors.d or $HOME/.config/terminal-colors.d overrides the global setting.

Note that the output colorization may be enabled by default, and in this case terminal-colors.d directories do not have to exist yet.

The logical color names supported by sfdisk are:

header
    O cabeçalho das tabelas de saída.

warn
    As mensagens de aviso.

welcome
    A mensagem de boas vindas.

AMBIENTE

SFDISK_DEBUG=all
    habilita saída de depuração do sfdisk.

LIBFDISK_DEBUG=all
    habilita saída de depuração do libfdisk.

LIBBLKID_DEBUG=all
    habilita saída de depuração do libblkid.

LIBSMARTCOLS_DEBUG=all
    habilita saída de depuração do libsmartcols.

LOCK_BLOCK_DEVICE=<modo>
    usa trava exclusiva do BSD. O modo é "1" ou "0". Veja --lock para mais detalhes.

NOTAS

Desde a versão 2.26, sfdisk não oferece mais a opção -R ou --re-read para forçar o kernel a reler a tabela de partição. Use blockdev --rereadpt em vez disso.

Desde a versão 2.26, sfdisk não fornece as opções --DOS, --IBM, --DOS-extended, --unhide, --show-extended, --cylinders, --heads, --sectors, --inside-outer, --not-inside-outer.

EXEMPLOS

sfdisk --list --label-nested=mbr /dev/sda
    Print protective MBR on device with GPT disk label.

echo -e ',10M,L\n,10M,L\n,+,\n' | sfdisk /dev/sdc
    Create three Linux partitions, with the default start, the size of the first two partitions is 10MiB, and the last partition fills all available space on the device.

echo -e 'size=10M, type=L\n size=10M, type=L\n size=+\n' | sfdisk /dev/sdc
    The same as the previous example, but in named-fields format.

echo -e 'type=swap' | sfdisk -N 3 /dev/sdc
    Set type of the 3rd partition to 'swap'.

sfdisk --part-type /dev/sdc 3 swap
    The same as the previous example, but without script use.

sfdisk --delete /dev/sdc 2
    Delete 2nd partition.

echo "+,+" | sfdisk -N 3 --move-data /dev/sdc
    Enlarge 3rd partition in both directions, move start to use free space before the partition and enlarge the size to use all free space after to the partition, and move partition data too.

AUTORES

A implementação atual do sfdisk é baseada no sfdisk original de Andries E. Brouwer.

VEJA TAMBÉM

fdisk(8), cfdisk(8), parted(8), partprobe(8), partx(8)

RELATANDO PROBLEMAS

For bug reports, use the issue tracker at

DISPONIBILIDADE

O comando sfdisk é parte do pacote util-linux que pode ser baixado do